Bug 856747 - CVE-2012-4415 libguac: Stack-based buffer overflow by protocol handling in guac client plug-in [epel-6]
CVE-2012-4415 libguac: Stack-based buffer overflow by protocol handling in gu...
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: libguac (Show other bugs)
el6
All Linux
low Severity low
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4415
  Show dependency treegraph
 
Reported: 2012-09-12 13:46 EDT by Jan Lieskovsky
Modified: 2012-10-03 03:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-03 03:05:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-12 13:46:11 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=856743

epel-6 tracking bug for libguac: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-09-13 07:58:18 EDT
libguac-0.6.3-1.el6,libguac-client-vnc-0.6.0-8.el6,libguac-client-rdp-0.6.1-2.el6,guacd-0.6.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libguac-0.6.3-1.el6,libguac-client-vnc-0.6.0-8.el6,libguac-client-rdp-0.6.1-2.el6,guacd-0.6.1-3.el6
Comment 2 Fedora Update System 2012-09-13 15:05:05 EDT
Package libguac-0.6.3-1.el6, libguac-client-vnc-0.6.0-8.el6, libguac-client-rdp-0.6.1-2.el6, guacd-0.6.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libguac-0.6.3-1.el6 libguac-client-vnc-0.6.0-8.el6 libguac-client-rdp-0.6.1-2.el6 guacd-0.6.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-12897/libguac-0.6.3-1.el6,libguac-client-vnc-0.6.0-8.el6,libguac-client-rdp-0.6.1-2.el6,guacd-0.6.1-3.el6
then log in and leave karma (feedback).
Comment 3 Simone Caronni 2012-10-03 03:05:53 EDT
Update has entered stable even though the bug has not been updated automatically.

Note You need to log in before you can comment on or make changes to this bug.